summaryrefslogtreecommitdiff
path: root/functions/exit.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-09-23 10:04:50 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:18:29 +0100
commit4739146fc6c4de8b16418517bb882312c475195c (patch)
treea3c29d97d1ead4ad4fa532b1c6bfdb419f160e71 /functions/exit.sh
parent1863ed88740575342008ac5f694d03e944bcece2 (diff)
downloadlive-build-4739146fc6c4de8b16418517bb882312c475195c.zip
live-build-4739146fc6c4de8b16418517bb882312c475195c.tar.gz
Adding live-helper 1.0~a6-1.
Diffstat (limited to 'functions/exit.sh')
-rwxr-xr-xfunctions/exit.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/functions/exit.sh b/functions/exit.sh
new file mode 100755
index 0000000..ff76c36
--- /dev/null
+++ b/functions/exit.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# exit.sh - cleanup
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+Exit ()
+{
+ if [ "${LH_DEBUG}" = "enabled" ]
+ then
+ set | grep -e ^LH -e ^LIVE
+ fi
+
+ # FIXME: Add /proc et al cleanup on failure
+}